Index: /trunk/src/bp-activity/bp-activity-actions.php
===================================================================
--- /trunk/src/bp-activity/bp-activity-actions.php	(revision 9470)
+++ /trunk/src/bp-activity/bp-activity-actions.php	(revision 9471)
@@ -36,5 +36,4 @@
  * @since BuddyPress (1.2)
  *
- * @global object $bp BuddyPress global settings
  * @uses bp_is_activity_component()
  * @uses bp_is_current_action()
@@ -201,10 +200,9 @@
  * @since BuddyPress (1.6)
  *
- * @global object $bp BuddyPress global settings
  * @param int $activity_id Activity id to be deleted. Defaults to 0.
  * @return bool False on failure.
  */
 function bp_activity_action_spam_activity( $activity_id = 0 ) {
-	global $bp;
+	$bp = buddypress();
 
 	// Not viewing activity, or action is not spam, or Akismet isn't present
@@ -507,5 +505,4 @@
  * @since BuddyPress (1.0)
  *
- * @global object $bp BuddyPress global settings
  * @uses bp_is_activity_component()
  * @uses bp_is_current_action()
@@ -516,5 +513,5 @@
  */
 function bp_activity_action_sitewide_feed() {
-	global $bp;
+	$bp = buddypress();
 
 	if ( ! bp_is_activity_component() || ! bp_is_current_action( 'feed' ) || bp_is_user() || ! empty( $bp->groups->current_group ) )
@@ -715,9 +712,7 @@
  *
  * @since BuddyPress (1.6)
- *
- * @global object $bp BuddyPress global settings
  */
 function bp_activity_setup_akismet() {
-	global $bp;
+	$bp = buddypress();
 
 	// Bail if Akismet is not active
Index: /trunk/src/bp-activity/bp-activity-admin.php
===================================================================
--- /trunk/src/bp-activity/bp-activity-admin.php	(revision 9470)
+++ /trunk/src/bp-activity/bp-activity-admin.php	(revision 9471)
@@ -821,10 +821,8 @@
  * @since BuddyPress (1.6.0)
  *
- * @global object $bp BuddyPress global settings.
- *
  * @param object $item Activity item.
  */
 function bp_activity_admin_edit_metabox_type( $item ) {
-	global $bp;
+	$bp = buddypress();
 
 	$actions  = array();
Index: /trunk/src/bp-activity/bp-activity-akismet.php
===================================================================
--- /trunk/src/bp-activity/bp-activity-akismet.php	(revision 9470)
+++ /trunk/src/bp-activity/bp-activity-akismet.php	(revision 9471)
@@ -655,9 +655,10 @@
  * @since BuddyPress (1.6)
  *
- * @global object $bp BuddyPress global settings.
  * @global wpdb $wpdb WordPress database object.
  */
 function bp_activity_akismet_delete_old_metadata() {
-	global $bp, $wpdb;
+	global $wpdb;
+
+	$bp = buddypress();
 
 	/**
Index: /trunk/src/bp-activity/bp-activity-cache.php
===================================================================
--- /trunk/src/bp-activity/bp-activity-cache.php	(revision 9470)
+++ /trunk/src/bp-activity/bp-activity-cache.php	(revision 9471)
@@ -21,5 +21,5 @@
  */
 function bp_activity_update_meta_cache( $activity_ids = false ) {
-	global $bp;
+	$bp = buddypress();
 
 	$cache_args = array(
Index: /trunk/src/bp-activity/bp-activity-functions.php
===================================================================
--- /trunk/src/bp-activity/bp-activity-functions.php	(revision 9470)
+++ /trunk/src/bp-activity/bp-activity-functions.php	(revision 9471)
@@ -912,5 +912,4 @@
  *
  * @global object $wpdb WordPress database access object.
- * @global object $bp BuddyPress global settings.
  *
  * @param int $activity_id ID of the activity item whose metadata is being deleted.
@@ -1079,5 +1078,4 @@
  *
  * @global object $wpdb WordPress database access object.
- * @global object $bp BuddyPress global settings.
  *
  * @param int $user_id ID of the user whose activity is being spammed.
@@ -1148,5 +1146,4 @@
  *
  * @global object $wpdb WordPress database access object.
- * @global object $bp BuddyPress global settings.
  *
  * @param int $user_id ID of the user whose activity is being hammed.
@@ -2054,5 +2051,4 @@
  * @since BuddyPress (1.2.0)
  *
- * @global object $bp BuddyPress global settings.
  * @uses wp_parse_args()
  * @uses bp_activity_add()
Index: /trunk/src/bp-activity/bp-activity-screens.php
===================================================================
--- /trunk/src/bp-activity/bp-activity-screens.php	(revision 9470)
+++ /trunk/src/bp-activity/bp-activity-screens.php	(revision 9471)
@@ -231,5 +231,4 @@
  * @since BuddyPress (1.2.0)
  *
- * @global object $bp BuddyPress global settings
  * @uses bp_is_activity_component()
  * @uses bp_activity_get_specific()
@@ -253,5 +252,5 @@
  */
 function bp_activity_screen_single_activity_permalink() {
-	global $bp;
+	$bp = buddypress();
 
 	// No displayed user or not viewing activity component
Index: /trunk/src/bp-activity/bp-activity-template.php
===================================================================
--- /trunk/src/bp-activity/bp-activity-template.php	(revision 9470)
+++ /trunk/src/bp-activity/bp-activity-template.php	(revision 9471)
@@ -165,5 +165,5 @@
 	 */
 	function __construct( $args ) {
-		global $bp;
+		$bp = buddypress();
 
 		// Backward compatibility with old method of passing arguments
@@ -427,5 +427,4 @@
  *
  * @global object $activities_template {@link BP_Activity_Template}
- * @global object $bp BuddyPress global settings.
  * @uses groups_is_user_member()
  * @uses bp_current_action()
@@ -1349,5 +1348,4 @@
 	 * @see bp_core_fetch_avatar() For a description of the arguments.
 	 * @global object $activities_template {@link BP_Activity_Template}
-	 * @global object $bp BuddyPress global settings
 	 * @uses bp_is_single_activity()
 	 * @uses wp_parse_args()
Index: /trunk/src/bp-blogs/bp-blogs-activity.php
===================================================================
--- /trunk/src/bp-blogs/bp-blogs-activity.php	(revision 9470)
+++ /trunk/src/bp-blogs/bp-blogs-activity.php	(revision 9471)
@@ -16,10 +16,8 @@
  * @since BuddyPress (1.0.0)
  *
- * @global object $bp The BuddyPress global settings object.
- *
  * @return bool|null Returns false if activity component is not active.
  */
 function bp_blogs_register_activity_actions() {
-	global $bp;
+	$bp = buddypress();
 
 	// Bail if activity is not active
@@ -322,5 +320,4 @@
  *
  * @see bp_activity_add() for description of parameters.
- * @global object $bp The BuddyPress global settings object.
  *
  * @param array $args {
@@ -333,5 +330,4 @@
  */
 function bp_blogs_record_activity( $args = '' ) {
-	global $bp;
 
 	// Bail if activity is not active
@@ -339,4 +335,6 @@
 		return false;
 	}
+
+	$bp = buddypress();
 
 	$defaults = array(
Index: /trunk/src/bp-blogs/bp-blogs-classes.php
===================================================================
--- /trunk/src/bp-blogs/bp-blogs-classes.php	(revision 9470)
+++ /trunk/src/bp-blogs/bp-blogs-classes.php	(revision 9471)
@@ -40,5 +40,7 @@
 	 */
 	public function populate() {
-		global $wpdb, $bp;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		$blog = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM {$bp->blogs->table_name} WHERE id = %d", $this->id ) );
@@ -54,5 +56,5 @@
 	 */
 	public function save() {
-		global $wpdb, $bp;
+		global $wpdb;
 
 		$this->user_id = apply_filters( 'bp_blogs_blog_user_id_before_save', $this->user_id, $this->id );
@@ -78,4 +80,6 @@
 			return false;
 
+		$bp = buddypress();
+
 		if ( $this->id ) {
 			// Update
@@ -113,5 +117,7 @@
 	 */
 	public function exists() {
-		global $bp, $wpdb;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		return $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(id) FROM {$bp->blogs->table_name} WHERE user_id = %d AND blog_id = %d", $this->user_id, $this->blog_id ) );
@@ -141,5 +147,7 @@
 	 */
 	public static function get( $type, $limit = false, $page = false, $user_id = 0, $search_terms = false, $update_meta_cache = true, $include_blog_ids = false ) {
-		global $bp, $wpdb;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		if ( !is_user_logged_in() || ( !bp_current_user_can( 'bp_moderate' ) && ( $user_id != bp_loggedin_user_id() ) ) )
@@ -232,7 +240,10 @@
 	 */
 	public static function delete_blog_for_all( $blog_id ) {
-		global $wpdb, $bp;
+		global $wpdb;
 
 		bp_blogs_delete_blogmeta( $blog_id );
+		
+		$bp = buddypress();
+
 		return $wpdb->query( $wpdb->prepare( "DELETE FROM {$bp->blogs->table_name} WHERE blog_id = %d", $blog_id ) );
 	}
@@ -247,8 +258,10 @@
 	 */
 	public static function delete_blog_for_user( $blog_id, $user_id = null ) {
-		global $wpdb, $bp;
+		global $wpdb;
 
 		if ( !$user_id )
 			$user_id = bp_loggedin_user_id();
+
+		$bp = buddypress();
 
 		return $wpdb->query( $wpdb->prepare( "DELETE FROM {$bp->blogs->table_name} WHERE user_id = %d AND blog_id = %d", $user_id, $blog_id ) );
@@ -264,8 +277,10 @@
 	 */
 	public static function delete_blogs_for_user( $user_id = null ) {
-		global $wpdb, $bp;
+		global $wpdb;
 
 		if ( !$user_id )
 			$user_id = bp_loggedin_user_id();
+
+		$bp = buddypress();
 
 		return $wpdb->query( $wpdb->prepare( "DELETE FROM {$bp->blogs->table_name} WHERE user_id = %d", $user_id ) );
@@ -290,5 +305,7 @@
 	 */
 	public static function get_blogs_for_user( $user_id = 0, $show_hidden = false ) {
-		global $bp, $wpdb;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		if ( !$user_id )
@@ -325,5 +342,7 @@
 	 */
 	public static function get_blog_ids_for_user( $user_id = 0 ) {
-		global $bp, $wpdb;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		if ( !$user_id )
@@ -341,5 +360,7 @@
 	 */
 	public static function is_recorded( $blog_id ) {
-		global $bp, $wpdb;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		return $wpdb->get_var( $wpdb->prepare( "SELECT id FROM {$bp->blogs->table_name} WHERE blog_id = %d", $blog_id ) );
@@ -358,5 +379,7 @@
 	 */
 	public static function total_blog_count_for_user( $user_id = null ) {
-		global $bp, $wpdb;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		if ( !$user_id )
@@ -387,5 +410,5 @@
 	 */
 	public static function search_blogs( $filter, $limit = null, $page = null ) {
-		global $wpdb, $bp;
+		global $wpdb;
 
 		$search_terms_like = '%' . bp_esc_like( $filter ) . '%';
@@ -400,4 +423,6 @@
 			$pag_sql = $wpdb->prepare( " LIMIT %d, %d", intval( ( $page - 1 ) * $limit), intval( $limit ) );
 		}
+
+		$bp = buddypress();
 
 		$paged_blogs = $wpdb->get_results( "SELECT DISTINCT bm.blog_id FROM {$bp->blogs->table_name_blogmeta} bm LEFT JOIN {$wpdb->base_prefix}blogs wb ON bm.blog_id = wb.blog_id WHERE ( ( bm.meta_key = 'name' OR bm.meta_key = 'description' ) AND {$search_terms_sql} ) {$hidden_sql} AND wb.mature = 0 AND wb.spam = 0 AND wb.archived = '0' AND wb.deleted = 0 ORDER BY meta_value ASC{$pag_sql}" );
@@ -422,8 +447,10 @@
 	 */
 	public static function get_all( $limit = null, $page = null ) {
-		global $bp, $wpdb;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		$hidden_sql = !bp_current_user_can( 'bp_moderate' ) ? "AND wb.public = 1" : '';
-		$pag_sql = ( $limit && $page ) ? $wpdb->prepare( " LIMIT %d, %d", intval( ( $page - 1 ) * $limit), intval( $limit ) ) : '';
+		$pag_sql    = ( $limit && $page ) ? $wpdb->prepare( " LIMIT %d, %d", intval( ( $page - 1 ) * $limit), intval( $limit ) ) : '';
 
 		$paged_blogs = $wpdb->get_results( "SELECT DISTINCT b.blog_id FROM {$bp->blogs->table_name} b LEFT JOIN {$wpdb->base_prefix}blogs wb ON b.blog_id = wb.blog_id WHERE wb.mature = 0 AND wb.spam = 0 AND wb.archived = '0' AND wb.deleted = 0 {$hidden_sql} {$pag_sql}" );
@@ -449,5 +476,7 @@
 	 */
 	public static function get_by_letter( $letter, $limit = null, $page = null ) {
-		global $bp, $wpdb;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		$letter_like = '%' . bp_esc_like( $letter ) . '%';
@@ -483,5 +512,7 @@
 	 */
 	public static function get_blog_extras( &$paged_blogs, &$blog_ids, $type = false ) {
-		global $bp, $wpdb;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		if ( empty( $blog_ids ) )
@@ -562,5 +593,7 @@
 	 */
 	public static function get_user_blog( $user_id, $blog_id ) {
-		global $bp, $wpdb;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		$user_blog = $wpdb->get_var( $wpdb->prepare( "SELECT id FROM {$bp->blogs->table_name} WHERE user_id = %d AND blog_id = %d", $user_id, $blog_id ) );
Index: /trunk/src/bp-blogs/bp-blogs-functions.php
===================================================================
--- /trunk/src/bp-blogs/bp-blogs-functions.php	(revision 9470)
+++ /trunk/src/bp-blogs/bp-blogs-functions.php	(revision 9471)
@@ -15,10 +15,8 @@
  * @since BuddyPress (1.5.0)
  *
- * @global BuddyPress $bp The one true BuddyPress instance.
- *
  * @return bool True if set, false if empty.
  */
 function bp_blogs_has_directory() {
-	global $bp;
+	$bp = buddypress();
 
 	return (bool) !empty( $bp->pages->blogs->id );
@@ -827,5 +825,4 @@
  */
 function bp_blogs_remove_blog( $blog_id ) {
-	global $bp;
 
 	$blog_id = (int) $blog_id;
@@ -844,5 +841,9 @@
 
 	// Delete activity stream item
-	bp_blogs_delete_activity( array( 'item_id' => $blog_id, 'component' => $bp->blogs->id, 'type' => 'new_blog' ) );
+	bp_blogs_delete_activity( array(
+		'item_id'   => $blog_id,
+		'component' => buddypress()->blogs->id,
+		'type'      => 'new_blog'
+	) );
 
 	/**
@@ -865,5 +866,4 @@
  */
 function bp_blogs_remove_blog_for_user( $user_id, $blog_id ) {
-	global $bp;
 
 	$blog_id = (int) $blog_id;
@@ -885,5 +885,5 @@
 	bp_blogs_delete_activity( array(
 		'item_id'   => $blog_id,
-		'component' => $bp->blogs->id,
+		'component' => buddypress()->blogs->id,
 		'type'      => 'new_blog'
 	) );
@@ -910,5 +910,5 @@
  */
 function bp_blogs_remove_post( $post_id, $blog_id = 0, $user_id = 0 ) {
-	global $wpdb, $bp;
+	global $wpdb;
 
 	if ( empty( $wpdb->blogid ) )
@@ -935,5 +935,10 @@
 
 	// Delete activity stream item
-	bp_blogs_delete_activity( array( 'item_id' => $blog_id, 'secondary_item_id' => $post_id, 'component' => $bp->blogs->id, 'type' => 'new_blog_post' ) );
+	bp_blogs_delete_activity( array(
+		'item_id'           => $blog_id,
+		'secondary_item_id' => $post_id,
+		'component'         => buddypress()->blogs->id,
+		'type'              => 'new_blog_post'
+	) );
 
 	/**
@@ -1064,6 +1069,4 @@
  * @since BuddyPress (1.6.0)
  *
- * @global object $bp BuddyPress global settings.
- *
  * @param string $new_status New comment status.
  * @param string $old_status Previous comment status.
@@ -1071,5 +1074,4 @@
  */
 function bp_blogs_transition_activity_status( $new_status, $old_status, $comment ) {
-	global $bp;
 
 	// Check the Activity component is active
@@ -1100,5 +1102,10 @@
 	// Get the activity
 	if ( bp_disable_blogforum_comments() ) {
-		$activity_id = bp_activity_get_activity_id( array( 'component' => $bp->blogs->id, 'item_id' => get_current_blog_id(), 'secondary_item_id' => $comment->comment_ID, 'type' => 'new_blog_comment', ) );
+		$activity_id = bp_activity_get_activity_id( array(
+			'component'         => buddypress()->blogs->id,
+			'item_id'           => get_current_blog_id(),
+			'secondary_item_id' => $comment->comment_ID,
+			'type'              => 'new_blog_comment'
+		) );
 	} else {
 		$activity_id = get_comment_meta( $comment->comment_ID, 'bp_activity_comment_id', true );
@@ -1189,5 +1196,4 @@
  */
 function bp_blogs_remove_data_for_blog( $blog_id ) {
-	global $bp;
 
 	/**
@@ -1205,5 +1211,9 @@
 
 	// Delete activity stream item
-	bp_blogs_delete_activity( array( 'item_id' => $blog_id, 'component' => $bp->blogs->id, 'type' => false ) );
+	bp_blogs_delete_activity( array(
+		'item_id'   => $blog_id,
+		'component' => buddypress()->blogs->id,
+		'type'      => false
+	) );
 
 	/**
@@ -1284,5 +1294,4 @@
  *
  * @global object $wpdb WordPress database access object.
- * @global object $bp BuddyPress global settings.
  *
  * @param int $blog_id ID of the blog whose metadata is being deleted.
@@ -1298,5 +1307,5 @@
  */
 function bp_blogs_delete_blogmeta( $blog_id, $meta_key = false, $meta_value = false, $delete_all = false ) {
-	global $wpdb, $bp;
+	global $wpdb;
 
 	// Legacy - if no meta_key is passed, delete all for the blog_id
@@ -1326,5 +1335,4 @@
  *
  * @global object $wpdb WordPress database access object.
- * @global object $bp BuddyPress global settings.
  *
  * @param int $blog_id ID of the blog whose metadata is being requested.
@@ -1349,5 +1357,4 @@
  *
  * @global object $wpdb WordPress database access object.
- * @global object $bp BuddyPress global settings.
  *
  * @param int $blog_id ID of the blog whose metadata is being updated.
Index: /trunk/src/bp-blogs/bp-blogs-template.php
===================================================================
--- /trunk/src/bp-blogs/bp-blogs-template.php	(revision 9470)
+++ /trunk/src/bp-blogs/bp-blogs-template.php	(revision 9471)
@@ -1115,7 +1115,9 @@
  */
 function bp_blog_signup_enabled() {
-	global $bp;
-
-	$active_signup = isset( $bp->site_options['registration'] ) ? $bp->site_options['registration'] : 'all';
+	$bp = buddypress();
+
+	$active_signup = isset( $bp->site_options['registration'] )
+		? $bp->site_options['registration']
+		: 'all';
 
 	/**
Index: /trunk/src/bp-core/admin/bp-core-slugs.php
===================================================================
--- /trunk/src/bp-core/admin/bp-core-slugs.php	(revision 9470)
+++ /trunk/src/bp-core/admin/bp-core-slugs.php	(revision 9471)
@@ -49,5 +49,5 @@
  */
 function bp_core_admin_slugs_options() {
-	global $bp;
+	$bp = buddypress();
 
 	// Get the existing WP pages
Index: /trunk/src/bp-core/admin/bp-core-tools.php
===================================================================
--- /trunk/src/bp-core/admin/bp-core-tools.php	(revision 9470)
+++ /trunk/src/bp-core/admin/bp-core-tools.php	(revision 9471)
@@ -156,5 +156,5 @@
  */
 function bp_admin_repair_friend_count() {
-	global $wpdb, $bp;
+	global $wpdb;
 
 	if ( ! bp_is_active( 'friends' ) ) {
@@ -169,4 +169,6 @@
 		return array( 1, sprintf( $statement, $result ) );
 	}
+
+	$bp = buddypress();
 
 	// Walk through all users on the site
@@ -212,5 +214,5 @@
  */
 function bp_admin_repair_group_count() {
-	global $wpdb, $bp;
+	global $wpdb;
 
 	if ( ! bp_is_active( 'groups' ) ) {
@@ -225,4 +227,6 @@
 		return array( 1, sprintf( $statement, $result ) );
 	}
+
+	$bp = buddypress();
 
 	// Walk through all users on the site
Index: /trunk/src/bp-core/bp-core-buddybar.php
===================================================================
--- /trunk/src/bp-core/bp-core-buddybar.php	(revision 9470)
+++ /trunk/src/bp-core/bp-core-buddybar.php	(revision 9471)
@@ -14,6 +14,4 @@
 /**
  * Add an item to the main BuddyPress navigation array.
- *
- * @global BuddyPress $bp The one true BuddyPress instance.
  *
  * @param array $args {
@@ -39,5 +37,5 @@
  */
 function bp_core_new_nav_item( $args = '' ) {
-	global $bp;
+	$bp = buddypress();
 
 	$defaults = array(
@@ -120,6 +118,4 @@
  * Modify the default subnav item that loads when a top level nav item is clicked.
  *
- * @global BuddyPress $bp The one true BuddyPress instance.
- *
  * @param array $args {
  *     @type string $parent_slug The slug of the nav item whose default is
@@ -131,5 +127,5 @@
  */
 function bp_core_new_nav_default( $args = '' ) {
-	global $bp;
+	$bp = buddypress();
 
 	$defaults = array(
@@ -196,10 +192,8 @@
  * after all plugins have had a chance to register their navigation items.
  *
- * @global BuddyPress $bp The one true BuddyPress instance
- *
  * @return bool|null Returns false on failure.
  */
 function bp_core_sort_nav_items() {
-	global $bp;
+	$bp = buddypress();
 
 	if ( empty( $bp->bp_nav ) || !is_array( $bp->bp_nav ) )
@@ -229,6 +223,4 @@
 /**
  * Add a subnav item to the BuddyPress navigation.
- *
- * @global BuddyPress $bp The one true BuddyPress instance.
  *
  * @param array $args {
@@ -261,5 +253,5 @@
  */
 function bp_core_new_subnav_item( $args = '' ) {
-	global $bp;
+	$bp = buddypress();
 
 	$r = wp_parse_args( $args, array(
@@ -442,10 +434,8 @@
  * Sort all subnavigation arrays.
  *
- * @global BuddyPress $bp The one true BuddyPress instance
- *
  * @return bool|null Returns false on failure.
  */
 function bp_core_sort_subnav_items() {
-	global $bp;
+	$bp = buddypress();
 
 	if ( empty( $bp->bp_options_nav ) || !is_array( $bp->bp_options_nav ) )
@@ -487,5 +477,5 @@
  */
 function bp_nav_item_has_subnav( $nav_item = '' ) {
-	global $bp;
+	$bp = buddypress();
 
 	if ( !$nav_item )
@@ -504,5 +494,5 @@
  */
 function bp_core_remove_nav_item( $parent_id ) {
-	global $bp;
+	$bp = buddypress();
 
 	// Unset subnav items for this nav item
@@ -533,7 +523,9 @@
  */
 function bp_core_remove_subnav_item( $parent_id, $slug ) {
-	global $bp;
-
-	$screen_function = isset( $bp->bp_options_nav[$parent_id][$slug]['screen_function'] ) ? $bp->bp_options_nav[$parent_id][$slug]['screen_function'] : false;
+	$bp = buddypress();
+
+	$screen_function = isset( $bp->bp_options_nav[$parent_id][$slug]['screen_function'] )
+		? $bp->bp_options_nav[$parent_id][$slug]['screen_function']
+		: false;
 
 	if ( ! empty( $screen_function ) ) {
@@ -553,10 +545,8 @@
  * Clear all subnav items from a specific nav item.
  *
- * @global BuddyPress $bp The one true BuddyPress instance.
- *
  * @param string $parent_slug The slug of the parent navigation item.
  */
 function bp_core_reset_subnav_items( $parent_slug ) {
-	global $bp;
+	$bp = buddypress();
 
 	unset( $bp->bp_options_nav[$parent_slug] );
Index: /trunk/src/bp-core/bp-core-catchuri.php
===================================================================
--- /trunk/src/bp-core/bp-core-catchuri.php	(revision 9470)
+++ /trunk/src/bp-core/bp-core-catchuri.php	(revision 9471)
@@ -34,9 +34,11 @@
  */
 function bp_core_set_uri_globals() {
-	global $bp, $current_blog, $wp_rewrite;
+	global $current_blog, $wp_rewrite;
 
 	// Don't catch URIs on non-root blogs unless multiblog mode is on
 	if ( !bp_is_root_blog() && !bp_is_multiblog_mode() )
 		return false;
+
+	$bp = buddypress();
 
 	// Define local variables
@@ -419,5 +421,7 @@
  */
 function bp_core_catch_no_access() {
-	global $bp, $wp_query;
+	global $wp_query;
+
+	$bp = buddypress();
 
 	// If coming from bp_core_redirect() and $bp_no_status_set is true,
@@ -550,5 +554,4 @@
  */
 function bp_redirect_canonical() {
-	global $bp;
 
 	if ( !bp_is_blog_page() && apply_filters( 'bp_do_redirect_canonical', true ) ) {
@@ -574,4 +577,6 @@
 		if ( $canonical_url !== $req_url_clean ) {
 
+			$bp = buddypress();
+
 			// Template messages have been deleted from the cookie by this point, so
 			// they must be readded before redirecting
@@ -619,5 +624,4 @@
  */
 function bp_get_canonical_url( $args = array() ) {
-	global $bp;
 
 	// For non-BP content, return the requested url, and let WP do the work
@@ -625,4 +629,6 @@
 		return bp_get_requested_url();
 	}
+
+	$bp = buddypress();
 
 	$defaults = array(
@@ -701,5 +707,5 @@
  */
 function bp_get_requested_url() {
-	global $bp;
+	$bp = buddypress();
 
 	if ( empty( $bp->canonical_stack['requested_url'] ) ) {
Index: /trunk/src/bp-core/bp-core-classes.php
===================================================================
--- /trunk/src/bp-core/bp-core-classes.php	(revision 9470)
+++ /trunk/src/bp-core/bp-core-classes.php	(revision 9471)
@@ -222,5 +222,7 @@
 	 */
 	public function prepare_user_ids_query() {
-		global $wpdb, $bp;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		// Default query variables used here
@@ -953,7 +955,9 @@
 	 */
 	public static function get_users( $type, $limit = 0, $page = 1, $user_id = 0, $include = false, $search_terms = false, $populate_extras = true, $exclude = false, $meta_key = false, $meta_value = false ) {
-		global $wpdb, $bp;
+		global $wpdb;
 
 		_deprecated_function( __METHOD__, '1.7', 'BP_User_Query' );
+
+		$bp = buddypress();
 
 		$sql = array();
@@ -1129,5 +1133,4 @@
 	 * Fetch the details for all users whose usernames start with the given letter.
 	 *
-	 * @global BuddyPress $bp The one true BuddyPress instance.
 	 * @global wpdb $wpdb WordPress database object.
 	 *
@@ -1143,5 +1146,5 @@
 	 */
 	public static function get_users_by_letter( $letter, $limit = null, $page = 1, $populate_extras = true, $exclude = '' ) {
-		global $bp, $wpdb;
+		global $wpdb;
 
 		$pag_sql = '';
@@ -1160,4 +1163,6 @@
 			}
 		}
+
+		$bp = buddypress();
 
 		$letter_like = bp_esc_like( $letter ) . '%';
@@ -1244,5 +1249,4 @@
 	 * Find users who match on the value of an xprofile data.
 	 *
-	 * @global BuddyPress $bp The one true BuddyPress instance.
 	 * @global wpdb $wpdb WordPress database object.
 	 *
@@ -1255,5 +1259,7 @@
 	 */
 	public static function search_users( $search_terms, $limit = null, $page = 1, $populate_extras = true ) {
-		global $bp, $wpdb;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		$user_ids = array();
@@ -1288,5 +1294,4 @@
 	 * Accepts multiple user IDs to fetch data for.
 	 *
-	 * @global BuddyPress $bp The one true BuddyPress instance.
 	 * @global wpdb $wpdb WordPress database object.
 	 *
@@ -1297,5 +1302,7 @@
 	 */
 	public static function get_user_extras( &$paged_users, &$user_ids, $type = false ) {
-		global $bp, $wpdb;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		if ( empty( $user_ids ) )
@@ -1699,10 +1706,11 @@
 	 * Update or insert notification details into the database.
 	 *
-	 * @global BuddyPress $bp The one true BuddyPress instance
 	 * @global wpdb $wpdb WordPress database object
 	 * @return bool Success or failure
 	 */
 	public function save() {
-		global $bp, $wpdb;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		// Update
@@ -1728,9 +1736,10 @@
 	 * Fetches the notification data from the database.
 	 *
-	 * @global BuddyPress $bp The one true BuddyPress instance
 	 * @global wpdb $wpdb WordPress database object
 	 */
 	public function populate() {
-		global $bp, $wpdb;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		if ( $notification = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM {$bp->core->table_name_notifications} WHERE id = %d", $this->id ) ) ) {
@@ -1748,5 +1757,7 @@
 
 	public static function check_access( $user_id, $notification_id ) {
-		global $wpdb, $bp;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		return $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(id) FROM {$bp->core->table_name_notifications} WHERE id = %d AND user_id = %d", $notification_id, $user_id ) );
@@ -1756,5 +1767,4 @@
 	 * Fetches all the notifications in the database for a specific user.
 	 *
-	 * @global BuddyPress $bp The one true BuddyPress instance
 	 * @global wpdb $wpdb WordPress database object
 	 * @param integer $user_id User ID
@@ -1764,7 +1774,11 @@
 	 */
 	public static function get_all_for_user( $user_id, $status = 'is_new' ) {
-		global $bp, $wpdb;
-
-		$is_new = ( 'is_new' == $status ) ? ' AND is_new = 1 ' : '';
+		global $wpdb;
+
+		$bp = buddypress();
+
+		$is_new = ( 'is_new' === $status )
+			? ' AND is_new = 1 '
+			: '';
 
  		return $wpdb->get_results( $wpdb->prepare( "SELECT * FROM {$bp->core->table_name_notifications} WHERE user_id = %d {$is_new}", $user_id ) );
@@ -1774,5 +1788,4 @@
 	 * Delete all the notifications for a user based on the component name and action.
 	 *
-	 * @global BuddyPress $bp The one true BuddyPress instance
 	 * @global wpdb $wpdb WordPress database object
 	 * @param integer $user_id
@@ -1782,5 +1795,7 @@
 	 */
 	public static function delete_for_user_by_type( $user_id, $component_name, $component_action ) {
-		global $bp, $wpdb;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		return $wpdb->query( $wpdb->prepare( "DELETE FROM {$bp->core->table_name_notifications} WHERE user_id = %d AND component_name = %s AND component_action = %s", $user_id, $component_name, $component_action ) );
@@ -1790,5 +1805,4 @@
 	 * Delete all the notifications that have a specific item id, component name and action.
 	 *
-	 * @global BuddyPress $bp The one true BuddyPress instance
 	 * @global wpdb $wpdb WordPress database object
 	 * @param integer $user_id The ID of the user who the notifications are for.
@@ -1800,7 +1814,11 @@
 	 */
 	public static function delete_for_user_by_item_id( $user_id, $item_id, $component_name, $component_action, $secondary_item_id = false ) {
-		global $bp, $wpdb;
-
-		$secondary_item_sql = !empty( $secondary_item_id ) ? $wpdb->prepare( " AND secondary_item_id = %d", $secondary_item_id ) : '';
+		global $wpdb;
+
+		$bp = buddypress();
+
+		$secondary_item_sql = !empty( $secondary_item_id )
+			? $wpdb->prepare( " AND secondary_item_id = %d", $secondary_item_id )
+			: '';
 
 		return $wpdb->query( $wpdb->prepare( "DELETE FROM {$bp->core->table_name_notifications} WHERE user_id = %d AND item_id = %d AND component_name = %s AND component_action = %s{$secondary_item_sql}", $user_id, $item_id, $component_name, $component_action ) );
@@ -1810,5 +1828,4 @@
 	 * Deletes all the notifications sent by a specific user, by component and action.
 	 *
-	 * @global BuddyPress $bp The one true BuddyPress instance
 	 * @global wpdb $wpdb WordPress database object
 	 * @param integer $user_id The ID of the user whose sent notifications we wish to delete.
@@ -1818,5 +1835,7 @@
 	 */
 	public static function delete_from_user_by_type( $user_id, $component_name, $component_action ) {
-		global $bp, $wpdb;
+		global $wpdb;
+
+		$bp = buddypress();
 
 		return $wpdb->query( $wpdb->prepare( "DELETE FROM {$bp->core->table_name_notifications} WHERE item_id = %d AND component_name = %s AND component_action = %s", $user_id, $component_name, $component_action ) );
@@ -1826,5 +1845,4 @@
 	 * Deletes all the notifications for all users by item id, and optional secondary item id, and component name and action.
 	 *
-	 * @global BuddyPress $bp The one true BuddyPress instance
 	 * @global wpdb $wpdb WordPress database object
 	 * @param string $item_id The item id that they notifications are to be for.
@@ -1835,5 +1853,5 @@
 	 */
 	public static function delete_all_by_type( $item_id, $component_name, $component_action, $secondary_item_id ) {
-		global $bp, $wpdb;
+		global $wpdb;
 
 		if ( $component_action )
@@ -1846,4 +1864,6 @@
 		else
 			$secondary_item_sql = '';
+
+		$bp = buddypress();
 
 		return $wpdb->query( $wpdb->prepare( "DELETE FROM {$bp->core->table_name_notifications} WHERE item_id = %d AND component_name = %s {$component_action_sql} {$secondary_item_sql}", $item_id, $component_name ) );
Index: /trunk/src/bp-core/bp-core-filters.php
===================================================================
--- /trunk/src/bp-core/bp-core-filters.php	(revision 9470)
+++ /trunk/src/bp-core/bp-core-filters.php	(revision 9471)
@@ -504,5 +504,4 @@
  *
  * @see wp_title()
- * @global object $bp BuddyPress global settings.
  *
  * @param string $title Original page title.
@@ -512,5 +511,4 @@
  */
 function bp_modify_page_title( $title, $sep = '', $seplocation = '' ) {
-	global $bp;
 
 	// If this is not a BP page, just return the title produced by WP
@@ -529,4 +527,5 @@
 	}
 
+	$bp    = buddypress();
 	$title = '';
 
Index: /trunk/src/bp-core/bp-core-options.php
===================================================================
--- /trunk/src/bp-core/bp-core-options.php	(revision 9470)
+++ /trunk/src/bp-core/bp-core-options.php	(revision 9471)
@@ -297,7 +297,8 @@
  */
 function bp_core_activate_site_options( $keys = array() ) {
-	global $bp;
 
 	if ( !empty( $keys ) && is_array( $keys ) ) {
+		$bp = buddypress();
+
 		$errors = false;
 
Index: /trunk/src/bp-core/bp-core-template.php
===================================================================
--- /trunk/src/bp-core/bp-core-template.php	(revision 9470)
+++ /trunk/src/bp-core/bp-core-template.php	(revision 9471)
@@ -443,5 +443,6 @@
 	 */
 	function bp_get_search_default_text( $component = '' ) {
-		global $bp;
+
+		$bp = buddypress();
 
 		if ( empty( $component ) ) {
Index: /trunk/src/bp-core/deprecated/2.1.php
===================================================================
--- /trunk/src/bp-core/deprecated/2.1.php	(revision 9470)
+++ /trunk/src/bp-core/deprecated/2.1.php	(revision 9471)
@@ -91,6 +91,4 @@
  * @since BuddyPress (1.0.0)
  * @deprecated BuddyPress (2.1.0)
- *
- * @global object $bp The BuddyPress global settings object.
  *
  * @return bool|null Returns false on failure. Otherwise echoes the menu item.
